Debian Bug report logs - #697607
Wishlist: print code of last key pressed

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Jordi Pujol <jordipujolp@gmail.com>

Date: Mon, 7 Jan 2013 15:03:01 UTC

Severity: normal

Tags: patch

Found in version dialog/1.1-20120215-3

Fixed in version dialog/1.2-20130523-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#697607; Package dialog. (Mon, 07 Jan 2013 15:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jordi Pujol <jordipujolp@gmail.com>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. (Mon, 07 Jan 2013 15:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jordi Pujol <jordipujolp@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Thomas Dickey <dickey@his.com>
Subject: Wishlist: print code of last key pressed
Date: Mon, 7 Jan 2013 16:00:23 +0100
[Message part 1 (text/plain, inline)]
Package: dialog
Version: 1.1-20120215-3   
Architecture: amd64
Type: wishlist
Tags: patch wishlist

Hello,

dialog can associate the dialog buttons to different keys,
it is interesting that the program may execute different actions depending on 
the last key pressed.

Attached is a patch that implements a new option --last-key, and makes
dialog print the last key code at the bottom of the list of field values for 
some widgets: calendar, checklist, editbox, formbox, and others

Regards,

Jordi Pujol

Live never ending Tale
GNU/Linux Live forever!
http://livenet.selfip.com
[print-last-key.patch.zip (application/zip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#697607; Package dialog. (Sun, 17 Mar 2013 23:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Sun, 17 Mar 2013 23:33:04 GMT) Full text and rfc822 format available.

Message #10 received at 697607@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 697607@bugs.debian.org
Cc: 697607-submitter@bugs.debian.org
Subject: re: #697607 Wishlist: print code of last key pressed
Date: Sun, 17 Mar 2013 19:30:38 -0400
[Message part 1 (text/plain, inline)]
I considered it (see attached/revised patch) but there's a problem with the
change: on exit, the last-key will generally be just the key that led to
exiting the widget, e.g., the enter-key or escape-key.  The existing exit
status tells as much.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[db697607-alternate.zip (application/zip, attachment)]
[signature.asc (application/pgp-signature, inline)]

Message sent on to Jordi Pujol <jordipujolp@gmail.com>:
Bug#697607. (Sun, 17 Mar 2013 23:33:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#697607; Package dialog. (Mon, 18 Mar 2013 07:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jordi Pujol <jordipujolp@gmail.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Mon, 18 Mar 2013 07:21:04 GMT) Full text and rfc822 format available.

Message #18 received at 697607@bugs.debian.org (full text, mbox):

From: Jordi Pujol <jordipujolp@gmail.com>
To: dickey@his.com, 697607-quiet@bugs.debian.org
Cc: 697607@bugs.debian.org, 697607-submitter@bugs.debian.org
Subject: Re: Bug#697607: #697607 Wishlist: print code of last key pressed
Date: Mon, 18 Mar 2013 08:17:27 +0100
[Message part 1 (text/plain, inline)]
A Dilluns, 18 de març de 2013 00:30:38, Thomas Dickey va escriure:
> I considered it (see attached/revised patch) but there's a problem with the
> change: on exit, the last-key will generally be just the key that led to
> exiting the widget, e.g., the enter-key or escape-key.  The existing exit
> status tells as much.

I am developing an application in the old style, assigning actions to function 
keys. Different parts of the program will be run depending on the code of the 
last function key pressed. Working in this manner is adequate for text 
terminals because here we can not show a lot of buttons or drop-down menus.

Attached is a sample script, which serves to visualize this idea (it does 
nothing more).

Also, if you want, try the entire application, is in beta status but usable; 
needs cgroups configuration, and custom packages: dpkg , libcgroup, and 
optionally a patched kernel.

http://livenet.selfip.com/ftp/debian/live-net-jobadmin/

following is the link to some custom patches, related to that:

http://livenet.selfip.com/ftp/debian/cgroups-daemon

Jordi Pujol

Live never ending Tale
GNU/Linux Live forever!
http://livenet.selfip.com
[test02.sh (application/x-shellscript, attachment)]

Information stored :
Bug#697607; Package dialog. (Mon, 18 Mar 2013 07:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jordi Pujol <jordipujolp@gmail.com>:
Extra info received and filed, but not forwarded. (Mon, 18 Mar 2013 07:21:07 GMT) Full text and rfc822 format available.

Message sent on to Jordi Pujol <jordipujolp@gmail.com>:
Bug#697607. (Mon, 18 Mar 2013 07:21:10 GMT) Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. (Fri, 24 May 2013 09:36:18 GMT) Full text and rfc822 format available.

Notification sent to Jordi Pujol <jordipujolp@gmail.com>:
Bug acknowledged by developer. (Fri, 24 May 2013 09:36:19 GMT) Full text and rfc822 format available.

Message #31 received at 697607-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 697607-close@bugs.debian.org
Subject: Bug#697607: fixed in dialog 1.2-20130523-1
Date: Fri, 24 May 2013 09:33:07 +0000
Source: dialog
Source-Version: 1.2-20130523-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697607@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 24 May 2013 11:06:30 +0200
Source: dialog
Binary: dialog
Architecture: source amd64
Version: 1.2-20130523-1
Distribution: unstable
Urgency: medium
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 697607 708829
Changes: 
 dialog (1.2-20130523-1) unstable; urgency=medium
 .
   * New upstream release.
   * There is now a --last-key option. Closes: #697607.
   * Fixed problem with new ncurses. Closes: #708829.
Checksums-Sha1: 
 ae940192d7b7e3e87208a18d710fcf035d232ce7 1423 dialog_1.2-20130523-1.dsc
 54768b8443af3de2e6cd16073ec666f19d4ded7a 432886 dialog_1.2-20130523.orig.tar.gz
 4d4e4309e4c6dc7138e21d893a8d47572ee17437 10936 dialog_1.2-20130523-1.debian.tar.gz
 11efcea3081c9e1bb927d5202ecbe166376ab418 359688 dialog_1.2-20130523-1_amd64.deb
Checksums-Sha256: 
 cd9db6e938949bb646dd16426cca997c4ae3b9853436d32c2f913c2921d1698e 1423 dialog_1.2-20130523-1.dsc
 c8d114b7698022bcbd6c88f3c0b2296b0e846c60c5ed6bd28f86dd72b94fd36d 432886 dialog_1.2-20130523.orig.tar.gz
 9016203967c60facc2c6318f0e9eeded5a270ad610a59280dfa46729c83de669 10936 dialog_1.2-20130523-1.debian.tar.gz
 bcc85b7af47ba28c50ec5b8c9657dc1907db9bac9f116f416c0076d016ae47dc 359688 dialog_1.2-20130523-1_amd64.deb
Files: 
 32a2fe5722f14dab3aa7aefce3f35e1e 1423 misc optional dialog_1.2-20130523-1.dsc
 f79a2fd46b918f6a2802444415ad3795 432886 misc optional dialog_1.2-20130523.orig.tar.gz
 0673b42bdea96da8e6a16e648ae78d7c 10936 misc optional dialog_1.2-20130523-1.debian.tar.gz
 491d01523b97611a31e8d8401854f5fa 359688 misc optional dialog_1.2-20130523-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJRny5zAAoJEEHOfwufG4syhOUH/jq3MQwkfiQGxJxPiMitqEq+
J1KvGo9w/J4S58f5xuCIubYTn1K784bDHKJJ/oKrEWP0g5xIWMFe1TODNxqniDrl
HzQbF+JQ1ErkKvppcoeCXKsimBcWL9ltR1bF65ICYQvsn0WkrpH2lIAVKxohPaRY
WjcX4wEjOtFMlufsLOvPnxN2uVvKTySrMixSMPP3Ip+ExjkC1bCWA9XrKwKkq9cR
71gTR+dCfjmNePT+K9kXCbzEuZsqtzvEsCzrK9TrSNFdpba74lwf+j3DOTfN5oFs
K5SGS1/p23b24XI7aJxBqilXe0fWYd/Bv6cxf+BaMBcrxqyUQaQBnhvYnmix3Zo=
=3xrF
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Jun 2013 07:26:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:35:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.